POST api/Survey/SaveReferenceSurveyResponse
Request Information
URI Parameters
None.
Body Parameters
ReferenceSurveyResponseInput| Name | Description | Type | Additional information |
|---|---|---|---|
| SurveyRequestID | integer |
None. |
|
| SurveyID | integer |
None. |
|
| ReferenceID | integer |
None. |
|
| DistrictAddedReferenceID | integer |
None. |
|
| Questions | Collection of SurveyQuestionInput |
None. |
Request Formats
application/json, text/json
Sample:
{
"surveyRequestID": 1,
"surveyID": 2,
"referenceID": 1,
"districtAddedReferenceID": 1,
"questions": [
{
"questionID": 1,
"answerText": "sample string 2",
"selectedOptions": [
{
"id": 1,
"name": "sample string 2"
},
{
"id": 1,
"name": "sample string 2"
}
]
},
{
"questionID": 1,
"answerText": "sample string 2",
"selectedOptions": [
{
"id": 1,
"name": "sample string 2"
},
{
"id": 1,
"name": "sample string 2"
}
]
}
]
}
application/xml, text/xml
Sample:
<ReferenceSurveyResponseInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public">
<DistrictAddedReferenceID>1</DistrictAddedReferenceID>
<Questions>
<SurveyQuestionInput>
<AnswerText>sample string 2</AnswerText>
<QuestionID>1</QuestionID>
<SelectedOptions>
<SurveyQuestionSelectedOption>
<Id>1</Id>
<Name>sample string 2</Name>
</SurveyQuestionSelectedOption>
<SurveyQuestionSelectedOption>
<Id>1</Id>
<Name>sample string 2</Name>
</SurveyQuestionSelectedOption>
</SelectedOptions>
</SurveyQuestionInput>
<SurveyQuestionInput>
<AnswerText>sample string 2</AnswerText>
<QuestionID>1</QuestionID>
<SelectedOptions>
<SurveyQuestionSelectedOption>
<Id>1</Id>
<Name>sample string 2</Name>
</SurveyQuestionSelectedOption>
<SurveyQuestionSelectedOption>
<Id>1</Id>
<Name>sample string 2</Name>
</SurveyQuestionSelectedOption>
</SelectedOptions>
</SurveyQuestionInput>
</Questions>
<ReferenceID>1</ReferenceID>
<SurveyID>2</SurveyID>
<SurveyRequestID>1</SurveyRequestID>
</ReferenceSurveyResponseInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ReferenceSurveyResponseOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| Success | boolean |
None. |
|
| FailMessage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"success": true,
"failMessage": "sample string 2"
}
application/xml, text/xml
Sample:
<ReferenceSurveyResponseOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public"> <FailMessage>sample string 2</FailMessage> <Success>true</Success> </ReferenceSurveyResponseOutput>